unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, ShellApi, SHDocVw, ComCtrls, TabNotBk, ActiveX, StdCtrls,
  jpeg, ExtCtrls;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheetYourLang: TTabSheet;
    TabSheetTheirLang: TTabSheet;
    WebBrowserTheirLang: TWebBrowser;
    WebBrowserYourLang: TWebBrowser;
    Button1: TButton;
    Button3: TButton;
    Image1: TImage;
    procedure TabSheetYourLangShow(Sender: TObject);
    procedure TabSheetTheirLangShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure LoadPage (ReqUrl: string);
  end;

var
  Form1: TForm1;

Const
  //Delphi uses a yucky looking hand by default and we need to override this...
  // Declare the cursor constant that contains the resource identifier
  // of the system Hand cursor.

  IDC_HAND = MakeIntResource(32649);

  // Declare the cursor constant for our own use. Constant value must
  // not conflict with any existing Delphi cursor constant.

  NIDC_HAND = 32649;


implementation

uses About;  {additional form}

{$R *.dfm}
{$R script.RES}



procedure TForm1.Button1Click(Sender: TObject);
begin
  if Button1.Caption = 'Stay On Top' then
    begin
    //make window stay on top
      SetWindowPos(Handle,
        HWND_TOPMOST,
        0, 0, 0, 0,
        SWP_NOMOVE OR
        SWP_NOACTIVATE OR
        SWP_NOSIZE);

      //change caption
      Button1.Caption := 'Normal';
    end
  else
  if Button1.Caption = 'Normal' then
    begin
    //make window normal
      SetWindowPos(Handle,
        HWND_NOTOPMOST,
        0, 0, 0, 0,
        SWP_NOMOVE OR
        SWP_NOACTIVATE OR
        SWP_NOSIZE);

      //change caption
      Button1.Caption := 'Stay On Top';
    end;
end;

procedure TForm1.TabSheetYourLangShow(Sender: TObject);
begin
  //change which tab is highlighted
  TabSheetYourLang.Highlighted := true;
  TabSheetTheirLang.Highlighted := false;
end;

procedure TForm1.TabSheetTheirLangShow(Sender: TObject);
begin
  //change which tab is highlighted
  TabSheetYourLang.Highlighted := false;
  TabSheetTheirLang.Highlighted := true;   
end;


procedure TForm1.LoadPage(ReqUrl: string);
begin
//load the translation page
  WebBrowserYourLang.Navigate (ReqUrl, EmptyParam, EmptyParam,
    EmptyParam, EmptyParam);
  WebBrowserTheirLang.Navigate (ReqUrl, EmptyParam, EmptyParam,
    EmptyParam, EmptyParam);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  //translation page is located in .res file
   LoadPage ('res://' + Application.ExeName + '/HTML/translation');

   //load the system's default cursor in place of yucky delphi defaut hand
   Screen.Cursors[NIDC_HAND] := LoadCursor(0, IDC_HAND)
end;


procedure TForm1.Image1Click(Sender: TObject);
begin
//open google to give them credit for the translation api
 ShellExecute(Application.Handle,
             PChar('open'),
             PChar('http://translate.google.com'), 
             PChar(0),
             nil,
             SW_NORMAL);
end;

procedure TForm1.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
//using the better looking cursor
 Screen.Cursor := NIDC_HAND
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
//show aboutbox
  AboutBox:=TAboutBox.Create(self);
  try
    AboutBox.ShowModal;
  finally
    AboutBox.Free;
 end;
end;


//this stuff is required to make the popup menu with copy, paste, etc, work
initialization
  OleInitialize (nil);

finalization
  OleUnInitialize;
end.
